Bug 69253 - gcc segfaults trying to build scribus 0.7.4
gcc segfaults trying to build scribus 0.7.4
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-19 13:16 EDT by johnhinsley
Modified: 2007-04-18 12:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 20:02:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description johnhinsley 2002-07-19 13:16:46 EDT
Description of Problem:

Trying to build Scribus 0.7.4

configure goes fine, make falls over (with segfault!!!!!):


[john@localhost scribus-0.7.4]$ make
make  all-recursive
make[1]: Entering directory `/home/john/scribus-0.7.4'
Making all in scribus
make[2]: Entering directory `/home/john/scribus-0.7.4/scribus'
Making all in docs
make[3]: Entering directory `/home/john/scribus-0.7.4/scribus/docs'
Making all in en
make[4]: Entering directory `/home/john/scribus-0.7.4/scribus/docs/en'
make[4]: Nothing to be done for `all'.
make[4]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs/en'
Making all in de
make[4]: Entering directory `/home/john/scribus-0.7.4/scribus/docs/de'
Making all in images
make[5]: Entering directory `/home/john/scribus-0.7.4/scribus/docs/de/images'
Making all in tools
make[6]: Entering directory `/home/john/scribus-0.7.4/scribus/docs/de/images/tools'
make[6]: Nothing to be done for `all'.
make[6]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs/de/images/tools'
Making all in tutorial
make[6]: Entering directory
`/home/john/scribus-0.7.4/scribus/docs/de/images/tutorial'
make[6]: Nothing to be done for `all'.
make[6]: Leaving directory
`/home/john/scribus-0.7.4/scribus/docs/de/images/tutorial'
Making all in preferences
make[6]: Entering directory
`/home/john/scribus-0.7.4/scribus/docs/de/images/preferences'
make[6]: Nothing to be done for `all'.
make[6]: Leaving directory
`/home/john/scribus-0.7.4/scribus/docs/de/images/preferences'
make[6]: Entering directory `/home/john/scribus-0.7.4/scribus/docs/de/images'
make[6]: Nothing to be done for `all-am'.
make[6]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs/de/images'
make[5]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs/de/images'
Making all in tutorial
make[5]: Entering directory `/home/john/scribus-0.7.4/scribus/docs/de/tutorial'
make[5]: Nothing to be done for `all'.
make[5]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs/de/tutorial'
make[5]: Entering directory `/home/john/scribus-0.7.4/scribus/docs/de'
make[5]: Nothing to be done for `all-am'.
make[5]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs/de'
make[4]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs/de'
Making all in fr
make[4]: Entering directory `/home/john/scribus-0.7.4/scribus/docs/fr'
Making all in tutorial
make[5]: Entering directory `/home/john/scribus-0.7.4/scribus/docs/fr/tutorial'
Making all in images
make[6]: Entering directory
`/home/john/scribus-0.7.4/scribus/docs/fr/tutorial/images'
make[6]: Nothing to be done for `all'.
make[6]: Leaving directory
`/home/john/scribus-0.7.4/scribus/docs/fr/tutorial/images'
make[6]: Entering directory `/home/john/scribus-0.7.4/scribus/docs/fr/tutorial'
make[6]: Nothing to be done for `all-am'.
make[6]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs/fr/tutorial'
make[5]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs/fr/tutorial'
Making all in images
make[5]: Entering directory `/home/john/scribus-0.7.4/scribus/docs/fr/images'
make[5]: Nothing to be done for `all'.
make[5]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs/fr/images'
make[5]: Entering directory `/home/john/scribus-0.7.4/scribus/docs/fr'
make[5]: Nothing to be done for `all-am'.
make[5]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs/fr'
make[4]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs/fr'
make[4]: Entering directory `/home/john/scribus-0.7.4/scribus/docs'
make[4]: Nothing to be done for `all-am'.
make[4]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs'
make[3]: Leaving directory `/home/john/scribus-0.7.4/scribus/docs'
Making all in icons
make[3]: Entering directory `/home/john/scribus-0.7.4/scribus/icons'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/john/scribus-0.7.4/scribus/icons'
Making all in libabout
make[3]: Entering directory `/home/john/scribus-0.7.4/scribus/libabout'
/usr/lib/qt3-gcc2.96/bin/moc ./about.h -o about.moc
/bin/sh ../../libtool --mode=compile --tag=CXX c++ -DHAVE_CONFIG_H -I. -I.
-I../.. -I/usr/lib/qt3-gcc2.96/include -I/usr/X11R6/include  -DQT_THREAD_SUPPORT
 -D_REENTRANT  -O2 -fno-exceptions -fno-check-new  -c about.cpp
mkdir .libs
c++ -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include -DQT_THREAD_SUPPORT -D_REENTRANT -O2 -fno-exceptions
-fno-check-new -c about.cpp  -fPIC -DPIC -o .libs/about.o
/bin/sh ../../libtool --mode=link --tag=CXX c++  -O2 -fno-exceptions
-fno-check-new  -s   -export-dynamic  -o libabout.la -rpath
/usr/local/share/scribus/libs -version-info 0:0:0 about.lo
c++ -shared -nostdlib /usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crti.o
/usr/lib/gcc-lib/i386-redhat-linux/2.96/crtbeginS.o  .libs/about.o 
-L/usr/lib/gcc-lib/i386-redhat-linux/2.96
-L/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../.. -lstdc++ -lm -lc -lgcc
/usr/lib/gcc-lib/i386-redhat-linux/2.96/crtendS.o
/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crtn.o   -O2 -fno-exceptions
-fno-check-new -s -Wl,-soname -Wl,libabout.so.0 -o .libs/libabout.so.0.0.0
(cd .libs && rm -f libabout.so.0 && ln -s libabout.so.0.0.0 libabout.so.0)
(cd .libs && rm -f libabout.so && ln -s libabout.so.0.0.0 libabout.so)
creating libabout.la
(cd .libs && rm -f libabout.la && ln -s ../libabout.la libabout.la)
make[3]: Leaving directory `/home/john/scribus-0.7.4/scribus/libabout'
Making all in libprefs
make[3]: Entering directory `/home/john/scribus-0.7.4/scribus/libprefs'
/usr/lib/qt3-gcc2.96/bin/moc ./prefs.h -o prefs.moc
/bin/sh ../../libtool --mode=compile --tag=CXX c++ -DHAVE_CONFIG_H -I. -I.
-I../.. -I/usr/lib/qt3-gcc2.96/include -I/usr/X11R6/include  -I../../scribus 
-O2 -fno-exceptions -fno-check-new  -c prefs.cpp
mkdir .libs
c++ -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include -I../../scribus -O2 -fno-exceptions -fno-check-new -c
prefs.cpp -fPIC -DPIC -o .libs/prefs.o
prefs.cpp: In method `Preferences::Preferences (QWidget *, preV *)':
prefs.cpp:640: warning: passing `float' for argument 1 of
`QSpinBox::setValue (int)'
prefs.cpp:723: warning: passing `float' for argument 1 of
`QSpinBox::setValue (int)'
prefs.cpp:878: warning: passing `float' for argument 1 of
`QSpinBox::setValue (int)'
prefs.cpp:884: warning: passing `float' for argument 1 of
`QSlider::setValue (int)'
/bin/sh ../../libtool --mode=link --tag=CXX c++  -O2 -fno-exceptions
-fno-check-new  -s   -export-dynamic  -o libpreferences.la -rpath
/usr/local/share/scribus/libs -version-info 0:0:0 prefs.lo
c++ -shared -nostdlib /usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crti.o
/usr/lib/gcc-lib/i386-redhat-linux/2.96/crtbeginS.o  .libs/prefs.o 
-L/usr/lib/gcc-lib/i386-redhat-linux/2.96
-L/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../.. -lstdc++ -lm -lc -lgcc
/usr/lib/gcc-lib/i386-redhat-linux/2.96/crtendS.o
/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crtn.o   -O2 -fno-exceptions
-fno-check-new -s -Wl,-soname -Wl,libpreferences.so.0 -o
.libs/libpreferences.so.0.0.0
(cd .libs && rm -f libpreferences.so.0 && ln -s libpreferences.so.0.0.0
libpreferences.so.0)
(cd .libs && rm -f libpreferences.so && ln -s libpreferences.so.0.0.0
libpreferences.so)
creating libpreferences.la
(cd .libs && rm -f libpreferences.la && ln -s ../libpreferences.la
libpreferences.la)
make[3]: Leaving directory `/home/john/scribus-0.7.4/scribus/libprefs'
Making all in plugins
make[3]: Entering directory `/home/john/scribus-0.7.4/scribus/plugins'
Making all in libchar
make[4]: Entering directory `/home/john/scribus-0.7.4/scribus/plugins/libchar'
/usr/lib/qt3-gcc2.96/bin/moc ./charselect.h -o charselect.moc
/bin/sh ../../../libtool --mode=compile --tag=CXX c++ -DHAVE_CONFIG_H -I. -I.
-I../../.. -I/usr/lib/qt3-gcc2.96/include -I/usr/X11R6/include 
-I../../../scribus  -O2 -fno-exceptions -fno-check-new  -c charselect.cpp
mkdir .libs
c++ -DHAVE_CONFIG_H -I. -I. -I../../.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include -I../../../scribus -O2 -fno-exceptions -fno-check-new -c
charselect.cpp  -fPIC -DPIC -o .libs/charselect.o
/bin/sh ../../../libtool --mode=link --tag=CXX c++  -O2 -fno-exceptions
-fno-check-new  -s   -export-dynamic  -o libcharselect.la -rpath
/usr/local/share/scribus/plugins -version-info 0:0:0 charselect.lo
c++ -shared -nostdlib /usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crti.o
/usr/lib/gcc-lib/i386-redhat-linux/2.96/crtbeginS.o  .libs/charselect.o 
-L/usr/lib/gcc-lib/i386-redhat-linux/2.96
-L/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../.. -lstdc++ -lm -lc -lgcc
/usr/lib/gcc-lib/i386-redhat-linux/2.96/crtendS.o
/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crtn.o   -O2 -fno-exceptions
-fno-check-new -s -Wl,-soname -Wl,libcharselect.so.0 -o .libs/libcharselect.so.0.0.0
(cd .libs && rm -f libcharselect.so.0 && ln -s libcharselect.so.0.0.0
libcharselect.so.0)
(cd .libs && rm -flibcharselect.so && ln -s libcharselect.so.0.0.0
libcharselect.so)
creating libcharselect.la
(cd .libs && rm -f libcharselect.la && ln -s ../libcharselect.la libcharselect.la)
make[4]: Leaving directory `/home/john/scribus-0.7.4/scribus/plugins/libchar'
make[4]: Entering directory `/home/john/scribus-0.7.4/scribus/plugins'
make[4]: Nothing to be done for `all-am'.
make[4]: Leaving directory `/home/john/scribus-0.7.4/scribus/plugins'
make[3]: Leaving directory `/home/john/scribus-0.7.4/scribus/plugins'
Making all in libpostscript
make[3]: Entering directory `/home/john/scribus-0.7.4/scribus/libpostscript'
/bin/sh ../../libtool --mode=compile --tag=CXX c++ -DHAVE_CONFIG_H -I. -I.
-I../.. -I/usr/lib/qt3-gcc2.96/include -I/usr/X11R6/include  -I../../scribus 
-O2 -fno-exceptions -fno-check-new  -c pslib.cpp
mkdir .libs
c++ -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include -I../../scribus -O2 -fno-exceptions -fno-check-new -c
pslib.cpp  -fPIC -DPIC -o .libs/pslib.o
/bin/sh ../../libtool --mode=link --tag=CXX c++  -O2 -fno-exceptions
-fno-check-new  -s   -export-dynamic  -o libpostscript.la -rpath
/usr/local/share/scribus/libs -version-info 0:0:0 pslib.lo
c++ -shared -nostdlib /usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crti.o
/usr/lib/gcc-lib/i386-redhat-linux/2.96/crtbeginS.o  .libs/pslib.o 
-L/usr/lib/gcc-lib/i386-redhat-linux/2.96
-L/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../.. -lstdc++ -lm -lc -lgcc
/usr/lib/gcc-lib/i386-redhat-linux/2.96/crtendS.o
/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crtn.o   -O2 -fno-exceptions
-fno-check-new -s -Wl,-soname -Wl,libpostscript.so.0 -o .libs/libpostscript.so.0.0.0
(cd .libs && rm -f libpostscript.so.0 && ln -s libpostscript.so.0.0.0
libpostscript.so.0)
(cd .libs && rm -f libpostscript.so && ln -s libpostscript.so.0.0.0
libpostscript.so)
creating libpostscript.la
(cd .libs && rm -f libpostscript.la && ln -s ../libpostscript.la libpostscript.la)
make[3]: Leaving directory `/home/john/scribus-0.7.4/scribus/libpostscript'
Making all in profiles
make[3]: Entering directory `/home/john/scribus-0.7.4/scribus/profiles'
make[3]: Nothing to be done for `all'.
make[3]: Leaving directory `/home/john/scribus-0.7.4/scribus/profiles'
Making all in libpdf
make[3]: Entering directory `/home/john/scribus-0.7.4/scribus/libpdf'
/bin/sh ../../libtool --mode=compile --tag=CXX c++ -DHAVE_CONFIG_H -I. -I.
-I../.. -I/usr/lib/qt3-gcc2.96/include -I/usr/X11R6/include  -I../../scribus 
-O2 -fno-exceptions -fno-check-new  -c pdflib.cpp
mkdir .libs
c++ -DHAVE_CONFIG_H -I. -I. -I../.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include -I../../scribus -O2 -fno-exceptions -fno-check-new -c
pdflib.cpp  -fPIC -DPIC -o .libs/pdflib.o
pdflib.cpp: In method `void PDFlib::PDF_Image (QString, float, float,
float, float)':
pdflib.cpp:1078: warning: passing `float' for argument 1 of
`QImage::copy (int, int, int, int, int) const'
pdflib.cpp:1078: warning: passing `float' for argument 3 of
`QImage::copy (int, int, int, int, int) const'
pdflib.cpp:1078: warning: passing `float' for argument 4 of
`QImage::copy (int, int, int, int, int) const'
pdflib.cpp:1096: warning: passing `float' for argument 1 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
pdflib.cpp:1096: warning: passing `float' for argument 2 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
pdflib.cpp:1126: warning: passing `float' for argument 1 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
pdflib.cpp:1126: warning: passing `float' for argument 2 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
pdflib.cpp:1183: warning: passing `float' for argument 1 of
`PDFlib::IToStr (int)'
pdflib.cpp:1183: warning: passing `float' for argument 1 of
`PDFlib::IToStr (int)'
pdflib.cpp:1183: warning: passing `float' for argument 1 of
`PDFlib::IToStr (int)'
pdflib.cpp:1183: warning: passing `float' for argument 1 of
`PDFlib::IToStr (int)'
pdflib.cpp: In method `QString PDFlib::PDF_End_Doc ()':
pdflib.cpp:1335: warning: passing `float' for argument 1 of
`QRect::QRect (int, int, int, int)'
pdflib.cpp:1335: warning: passing `float' for argument 2 of
`QRect::QRect (int, int, int, int)'
pdflib.cpp:1335: warning: passing `float' for argument 3 of
`QRect::QRect (int, int, int, int)'
pdflib.cpp:1335: warning: passing `float' for argument 4 of
`QRect::QRect (int, int, int, int)'
pdflib.cpp:1343: warning: passing `float' for argument 1 of
`QRect::QRect (int, int, int, int)'
pdflib.cpp:1343: warning: passing `float' for argument 2 of
`QRect::QRect (int, int, int, int)'
pdflib.cpp:1343: warning: passing `float' for argument 3 of
`QRect::QRect (int, int, int, int)'
pdflib.cpp:1343: warning: passing `float' for argument 4 of
`QRect::QRect (int, int, int, int)'
/bin/sh ../../libtool --mode=link --tag=CXX c++  -O2 -fno-exceptions
-fno-check-new  -s   -export-dynamic  -o libpdf.la -rpath
/usr/local/share/scribus/libs -version-info 0:0:0 pdflib.lo
c++ -shared -nostdlib /usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crti.o
/usr/lib/gcc-lib/i386-redhat-linux/2.96/crtbeginS.o  .libs/pdflib.o 
-L/usr/lib/gcc-lib/i386-redhat-linux/2.96
-L/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../.. -lstdc++ -lm -lc -lgcc
/usr/lib/gcc-lib/i386-redhat-linux/2.96/crtendS.o
/usr/lib/gcc-lib/i386-redhat-linux/2.96/../../../crtn.o   -O2 -fno-exceptions
-fno-check-new -s -Wl,-soname -Wl,libpdf.so.0 -o .libs/libpdf.so.0.0.0
(cd .libs && rm -f libpdf.so.0 && ln -s libpdf.so.0.0.0 libpdf.so.0)
(cd .libs && rm -f libpdf.so && ln -s libpdf.so.0.0.0 libpdf.so)
creating libpdf.la
(cd .libs && rm -f libpdf.la && ln -s ../libpdf.la libpdf.la)
make[3]: Leaving directory `/home/john/scribus-0.7.4/scribus/libpdf'
make[3]: Entering directory `/home/john/scribus-0.7.4/scribus'
/usr/lib/qt3-gcc2.96/bin/moc ./layers.h -o layers.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c layers.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./polyprops.h -o polyprops.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c polyprops.cpp
polyprops.cpp: In method `PolygonProps::PolygonProps (QWidget *)':
polyprops.cpp:56: warning: passing `float' for argument 1 of
`QSpinBox::setValue (int)'
polyprops.cpp:62: warning: passing `float' for argument 1 of
`QSlider::setValue (int)'
/usr/lib/qt3-gcc2.96/bin/moc ./mpalette.h -o mpalette.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c mpalette.cpp
mpalette.cpp: In method `void Mpalette::UnitChange ()':
mpalette.cpp:653: warning: passing `float' for argument 1 of
`QSpinBox::setValue (int)'
mpalette.cpp: In method `void Mpalette::setBH (float, float)':
mpalette.cpp:682: warning: passing `float' for argument 1 of
`QPoint::QPoint (int, int)'
mpalette.cpp:682: warning: passing `float' for argument 2 of
`QPoint::QPoint (int, int)'
mpalette.cpp:688: warning: passing `float' for argument 1 of
`QSpinBox::setMaxValue (int)'
/usr/lib/qt3-gcc2.96/bin/moc ./werktoolb.h -o werktoolb.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c werktoolb.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./keymanager.h -o keymanager.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c keymanager.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./navigator.h -o navigator.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c navigator.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./annot.h -o annot.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c annot.cpp
annot.cpp: In method `void Annot::SetCo (float, float)':
annot.cpp:116: warning: passing `float' for argument 1 of
`QSpinBox::setValue (int)'
annot.cpp:117: warning: passing `float' for argument 1 of
`QSpinBox::setValue (int)'
/usr/lib/qt3-gcc2.96/bin/moc ./bookmwin.h -o bookmwin.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c bookmwin.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./cmsprefs.h -o cmsprefs.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c cmsprefs.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./customfdialog.h -o customfdialog.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c customfdialog.cpp
customfdialog.cpp: In method `void FDialogPreview::GenPreview
(QString)':
customfdialog.cpp:103: warning: passing `float' for argument 1 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
customfdialog.cpp:103: warning: passing `float' for argument 2 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
customfdialog.cpp:105: warning: passing `float' for argument 1 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
customfdialog.cpp:105: warning: passing `float' for argument 2 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
/usr/lib/qt3-gcc2.96/bin/moc ./picsearch.h -o picsearch.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c picsearch.cpp
picsearch.cpp: In method `void PicSearch::GenPreview ()':
picsearch.cpp:127: warning: passing `float' for argument 1 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
picsearch.cpp:127: warning: passing `float' for argument 2 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
picsearch.cpp:129: warning: passing `float' for argument 1 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
picsearch.cpp:129: warning: passing `float' for argument 2 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
/usr/lib/qt3-gcc2.96/bin/moc ./picstatus.h -o picstatus.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c picstatus.cpp
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c newtemp.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./applytemplate.h -o applytemplate.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c applytemplate.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./muster.h -o muster.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c muster.cpp
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c scfonts_ttf.cpp
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c scfonts_encoding.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./scrap.h -o scrap.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c scrap.cpp
scrap.cpp: In method `QPixmap BibView::createPreview (QString)':
scrap.cpp:437: warning: passing `float' for argument 3 of
`QPainter::drawLine (int, int, int, int)'
scrap.cpp:437: warning: passing `float' for argument 4 of
`QPainter::drawLine (int, int, int, int)'
scrap.cpp:438: warning: passing `float' for argument 2 of
`QPainter::drawLine (int, int, int, int)'
scrap.cpp:438: warning: passing `float' for argument 3 of
`QPainter::drawLine (int, int, int, int)'
scrap.cpp:446: warning: passing `float' for argument 3 of
`QPainter::drawLine (int, int, int, int)'
scrap.cpp:446: warning: passing `float' for argument 4 of
`QPainter::drawLine (int, int, int, int)'
scrap.cpp:447: warning: passing `float' for argument 2 of
`QPainter::drawLine (int, int, int, int)'
scrap.cpp:447: warning: passing `float' for argument 3 of
`QPainter::drawLine (int, int, int, int)'
scrap.cpp:473: warning: passing `float' for argument 1 of
`QPainter::drawImage (int, int, const QImage &, int, int, int, int,
int)'
scrap.cpp:473: warning: passing `float' for argument 2 of
`QPainter::drawImage (int, int, const QImage &, int, int, int, int,
int)'
scrap.cpp:724: warning: passing `float' for argument 1 of
`QPainter::drawText (int, int, const QString &, int,
QPainter::TextDirection)'
scrap.cpp:724: warning: passing `float' for argument 2 of
`QPainter::drawText (int, int, const QString &, int,
QPainter::TextDirection)'
scrap.cpp:730: warning: passing `float' for argument 3 of `QRect::QRect
(int, int, int, int)'
scrap.cpp:730: warning: passing `float' for argument 4 of `QRect::QRect
(int, int, int, int)'
scrap.cpp:737: warning: passing `float' for argument 2 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
scrap.cpp:742: warning: passing `float' for argument 1 of
`QImage::smoothScale (int, int, QImage::ScaleMode) const'
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c scfonts.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./frameedit.h -o frameedit.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c frameedit.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./spalette.h -o spalette.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c spalette.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./edit1format.h -o edit1format.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c edit1format.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./editformats.h -o editformats.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c editformats.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./druck.h -o druck.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c druck.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./colorchart.h -o colorchart.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c colorchart.cpp
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c util.cpp
util.cpp: In function `QImage LoadPict (QString)':
util.cpp:225: warning: passing `float' for argument 1 of `QImage::copy
(int, int, int, int, int) const'
util.cpp:225: warning: passing `float' for argument 3 of `QImage::copy
(int, int, int, int, int) const'
util.cpp:225: warning: passing `float' for argument 4 of `QImage::copy
(int, int, int, int, int) const'
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c cmykcolor.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./cmykfw.h -o cmykfw.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c cmykfw.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./scribusXml.h -o scribusXml.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c scribusXml.cpp
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c linecombo.cpp
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c linkbutton.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./helpbrowser.h -o helpbrowser.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c helpbrowser.cpp
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c mspinbox.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./modify.h -o modify.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c modify.cpp
modify.cpp: In method `ModObj::ModObj (QWidget *, PageItem *,
QMap<QString, CMYKColor>, ScribusDoc *, ProfilesL *)':
modify.cpp:169: warning: passing `float' for argument 1 of
`QSpinBox::setValue (int)'
modify.cpp:225: warning: passing `float' for argument 1 of
`QSpinBox::setValue (int)'
modify.cpp:258: warning: passing `float' for argument 1 of
`QSpinBox::setMaxValue (int)'
modify.cpp:362: warning: passing `float' for argument 1 of
`QSpinBox::setMaxValue (int)'
modify.cpp:539: warning: passing `float' for argument 1 of
`QSpinBox::setMaxValue (int)'
/usr/lib/qt3-gcc2.96/bin/moc ./movepage.h -o movepage.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c movepage.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./delpages.h -o delpages.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c delpages.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./inspage.h -o inspage.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c inspage.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./pdfopts.h -o pdfopts.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c pdfopts.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./tree.h -o tree.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c tree.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./missing.h -o missing.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c missing.cpp
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c fontprefs.cpp
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c fmitem.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./align.h -o align.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c align.cpp
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c serializer.cpp
/usr/lib/qt3-gcc2.96/bin/moc ./reformdoc.h -o reformdoc.moc
c++ -DHAVE_CONFIG_H -I. -I. -I.. -I/usr/lib/qt3-gcc2.96/include
-I/usr/X11R6/include  -DQT_THREAD_SUPPORT  -D_REENTRANT  -O2 -fno-exceptions
-fno-check-new  -c reformdoc.cpp
/usr/lib/qt3-gcc2.96/include/qstringlist.h: In function `void
__static_initialization_and_destruction_0
(int, int)':
/usr/lib/qt3-gcc2.96/include/qstringlist.h:28: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [reformdoc.o] Error 1
make[3]: Leaving directory `/home/john/scribus-0.7.4/scribus'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/john/scribus-0.7.4/scribus'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/john/scribus-0.7.4'
make: *** [all-recursive-am] Error 2
[john@localhost scribus-0.7.4]$

Another flakey compiler you've given us?
Comment 1 Giacomo Magnini 2004-09-10 14:37:21 EDT
This happens also in FC2, compiling Scribus 1.2 (C++).
The weird thing is that issuing make again will actually produce a
fully working executable, no more ICE...
Maybe upgrading to 3.4.2 will help here.
Comment 2 Richard Henderson 2004-10-02 20:02:28 EDT
Building scribus 1.2 with gcc 3.3.2 (FC1) works fine here.
If you saw a non-repeatable ICE, that's a sign of hardware problems.

Note You need to log in before you can comment on or make changes to this bug.